Bug 184168 - Introduction of ElementUtilities.findSubTypes method
Introduction of ElementUtilities.findSubTypes method
Status: NEW
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: TBD
Assigned To: Svata Dedic
issues@java
http://lahoda.info/hg/nb-patches/file...
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 14:29 UTC by Jan Lahoda
Modified: 2013-09-02 14:19 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
API diff. (2.78 KB, patch)
2010-04-14 14:31 UTC, Jan Lahoda
Details | Diff
Correct API diff. (4.49 KB, patch)
2010-04-14 14:32 UTC, Jan Lahoda
Details | Diff
fixed diff (57.04 KB, patch)
2011-09-26 12:11 UTC, Jan Horvath
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2010-04-14 14:29:22 UTC
A propose to introduce a new method, ElementUtilities.findSubTypes what would compute all known subtypes of given types, in all known source roots (that depend on the current source root).
Comment 1 Jan Lahoda 2010-04-14 14:31:25 UTC
Created attachment 97350 [details]
API diff.
Comment 2 Jan Lahoda 2010-04-14 14:32:54 UTC
Created attachment 97352 [details]
Correct API diff.
Comment 3 Jan Lahoda 2010-04-14 14:33:20 UTC
Please review. Thanks.
Comment 4 Jan Horvath 2011-09-26 12:11:57 UTC
Created attachment 111182 [details]
fixed diff
Comment 5 Jan Horvath 2011-09-26 12:27:37 UTC
Comment on attachment 111182 [details]
fixed diff

I have added this attachment by mistake.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo